Bug 20638 - Kernel-2.2.16-22smp.i386 crashes on heavy I/O
Kernel-2.2.16-22smp.i386 crashes on heavy I/O
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-10 07:20 EST by ola
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ola 2000-11-10 07:20:51 EST
We got the following crash while copying a couple of gigabyte files to a
server via Samba. (Amazingly the system managed to log the error before
dying.

Network: 3Com 3c905B, SCSI: Ami Megaraid 466

Downgrading to kernel-2.2.16-3smp.i386 apparently fixes the problem.

Nov  2 14:51:00 w01 kernel: Unable to handle kernel paging request at
virtual address 0000e481
Nov  2 14:51:00 w01 kernel: current->tss.cr3 = 00101000, %%cr3 = 00101000
Nov  2 14:51:00 w01 kernel: *pde = 00000000
Nov  2 14:51:00 w01 kernel: Oops: 0000
Nov  2 14:51:00 w01 kernel: CPU:    1
Nov  2 14:51:00 w01 kernel: EIP:    0010:[<0000e481>]
Nov  2 14:51:00 w01 kernel: EFLAGS: 00010286
Nov  2 14:51:00 w01 kernel: eax: d5357820   ebx: 00000008   ecx: d25b2180  
edx: 04000001
Nov  2 14:51:00 w01 kernel: esi: 04000001   edi: 000005ea   ebp: 001682f1  
esp: c024df24
Nov  2 14:51:00 w01 kernel: ds: 0018   es: 0018   ss: 0018
Nov  2 14:51:00 w01 kernel: Process swapper (pid: 0, process nr: 0,
stackpage=c024d000)
Nov  2 14:51:00 w01 kernel: Stack: 00000004 00000012 d25b2b40 00000001
00000006 c024df5c b80eb80e 00000014
Nov  2 14:51:00 w01 kernel:        0000e481 0000b800 d54ee800 d7615ea0
c010c176 00000012 d7615ea0 c024dfa8
Nov  2 14:51:00 w01 kernel:        00000240 d5357820 00000012 c024dfa0
c0110fae 00000012 c024dfa8 d5357820
Nov  2 14:51:00 w01 kernel: Call Trace: [handle_IRQ_event+90/140]
[do_level_ioapic_IRQ+98/160] [do_IRQ+59/92] [common_interrupt+24/32]
[cpu_idle+61/80] [get_options+0/116] [get_options+0/116]
Nov  2 14:51:00 w01 kernel:        [L6+0/2]
Nov  2 14:51:00 w01 kernel: Code: <1>Unable to handle kernel paging request
at virtual address 0000e481
Nov  2 14:51:00 w01 kernel: current->tss.cr3 = 00101000, %%cr3 = 00101000
Nov  2 14:51:00 w01 kernel: *pde = 00000000


*********** dead
Comment 1 Bugzilla owner 2004-09-30 11:38:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.